API Reference
Virtual Accounts
Virtual accounts operations
Fetch list of virtual accounts
AuthorizationBearer <token>
In: header
Query Parameters
reference_id?string
Fetch by reference_id
search?string
Search by account details
currency?string
Filter by currency code
settlement_balance_id?string
Filter by settlement_balance_id
Format
uuidstatus?string
Filter by status
Value in
"initiated" | "active" | "blocked" | "closed"Response Body
curl -X GET "https://api.ohentpay.com/virtualaccounts?reference_id=9b0682dc3a6611e9a490b56deb33d08b&search=John¤cy=NGN&settlement_balance_id=88fe6e8a-bd3b-11e9-821e-4180c1a9232a&status=active"[
{
"id": "88fe6e8a-cd7b-11e9-821e-4180c1a9232a",
"account_name": "JOHN DOE",
"currency": "NGN",
"settlement_balance_id": "88fe6e8a-cd7b-11e9-821e-4180c1a9232a",
"reference_id": "88fe6e8acd7b11e9821e4180c1a9232a",
"details": {
"bank_name": "OHENTPAY",
"account_name": "JOHN DOE",
"account_number": "1234567890"
},
"type": "local",
"supported_channels": [
"NIP",
"NEFT",
"RTGS"
],
"status": "active",
"created": "2019-09-02T13:16:47+01:00"
}
]Create new virtual account
AuthorizationBearer <token>
In: header
account_name?string
currency?string
settlement_balance_id?string
Format
uuidreference_id?string
Unique reference ID to prevent duplicates
Range
value <= 50Response Body
curl -X POST "https://api.ohentpay.com/virtualaccounts" \
-H "Content-Type: application/json" \
-d '{}'{
"id": "88fe6e8a-cd7b-11e9-821e-4180c1a9232a",
"account_name": "JOHN DOE",
"currency": "NGN",
"settlement_balance_id": "88fe6e8a-cd7b-11e9-821e-4180c1a9232a",
"reference_id": "88fe6e8acd7b11e9821e4180c1a9232a",
"details": {
"bank_name": "OHENTPAY",
"account_name": "JOHN DOE",
"account_number": "1234567890"
},
"type": "local",
"supported_channels": [
"NIP",
"NEFT",
"RTGS"
],
"status": "active",
"created": "2019-09-02T13:16:47+01:00"
}{
"request": "error",
"code": 400,
"message": "Invalid request"
}Fetch single virtual account
AuthorizationBearer <token>
In: header
Path Parameters
idstring
Virtual account ID
Format
uuidResponse Body
curl -X GET "https://api.ohentpay.com/virtualaccounts/88fe6e8a-cd7b-11e9-821e-4180c1a9232a"{
"id": "88fe6e8a-cd7b-11e9-821e-4180c1a9232a",
"account_name": "JOHN DOE",
"currency": "NGN",
"settlement_balance_id": "88fe6e8a-cd7b-11e9-821e-4180c1a9232a",
"reference_id": "88fe6e8acd7b11e9821e4180c1a9232a",
"details": {
"bank_name": "OHENTPAY",
"account_name": "JOHN DOE",
"account_number": "1234567890"
},
"type": "local",
"supported_channels": [
"NIP",
"NEFT",
"RTGS"
],
"status": "active",
"created": "2019-09-02T13:16:47+01:00"
}Empty
Update virtual account name
AuthorizationBearer <token>
In: header
Path Parameters
idstring
Virtual account ID
Format
uuidaccount_name?string
Response Body
curl -X PATCH "https://api.ohentpay.com/virtualaccounts/88fe6e8a-bd3b-11e9-821e-4180c1a9232a" \
-H "Content-Type: application/json" \
-d '{}'{
"id": "88fe6e8a-cd7b-11e9-821e-4180c1a9232a",
"account_name": "JOHN DOE",
"currency": "NGN",
"settlement_balance_id": "88fe6e8a-cd7b-11e9-821e-4180c1a9232a",
"reference_id": "88fe6e8acd7b11e9821e4180c1a9232a",
"details": {
"bank_name": "OHENTPAY",
"account_name": "JOHN DOE",
"account_number": "1234567890"
},
"type": "local",
"supported_channels": [
"NIP",
"NEFT",
"RTGS"
],
"status": "active",
"created": "2019-09-02T13:16:47+01:00"
}{
"request": "error",
"code": 400,
"message": "Invalid request"
}Close a virtual account
AuthorizationBearer <token>
In: header
Path Parameters
idstring
Virtual account ID
Format
uuidResponse Body
curl -X DELETE "https://api.ohentpay.com/virtualaccounts/88fe6e8a-cd7b-11e9-821e-4180c1a9232a"{
"result": "ok"
}